xine-lib: vaapi_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vaapi_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
Display * | display
int | screen
Drawable | drawable
XColor | black
Window | window
uint32_t | capabilities
int | ovl_changed
vo_overlay_t * | overlays [XINE_VORAW_MAX_OVL]
uint32_t * | overlay_bitmap
uint32_t | overlay_bitmap_size
uint32_t | overlay_bitmap_width
uint32_t | overlay_bitmap_height
vaapi_rect_t | overlay_bitmap_src
vaapi_rect_t | overlay_bitmap_dst
uint32_t | vdr_osd_width
uint32_t | vdr_osd_height
uint32_t | overlay_output_width
uint32_t | overlay_output_height
vaapi_rect_t | overlay_dirty_rect
int | has_overlay
vo_scale_t | sc
xine_t * | xine
unsigned int | deinterlace
ff_vaapi_context_t * | va_context
int | sw_width
int | sw_height
VASurfaceID * | va_soft_surface_ids
VAImage * | va_soft_images
unsigned int | va_soft_head
int | soft_image_is_bound
VAImageFormat * | va_subpic_formats
int | va_num_subpic_formats
VAImage | va_subpic_image
VASubpictureID | va_subpic_id
int | va_subpic_width
int | va_subpic_height
unsigned int | last_sub_image_fmt
pthread_mutex_t | vaapi_lock
unsigned int | guarded_render
unsigned int | scaling_level_enum
unsigned int | scaling_level
va_property_t | props [VO_NUM_PROPERTIES]
unsigned int | swap_uv_planes
uint8_t | cm_lut [32]
int | cm_state
int | color_matrix
int | vaapi_cm_flags
int | csc_mode
int | have_user_csc_matrix
float | user_csc_matrix [12]
vo_frame_t * | recent_frames [VO_NUM_RECENT_FRAMES]
VASurfaceID | va_soft_surface_ids_storage [3+1]
VAImage | va_soft_images_storage [3+1]
vaapi_context_impl_t * | va

## Field Documentation

## ◆ black

XColor vaapi_driver_s::black

## ◆ capabilities

uint32_t vaapi_driver_s::capabilities

## ◆ cm_lut

uint8_t vaapi_driver_s::cm_lut[32]

## ◆ cm_state

int vaapi_driver_s::cm_state

## ◆ color_matrix

int vaapi_driver_s::color_matrix

Referenced by vaapi_update_csc().

## ◆ csc_mode

int vaapi_driver_s::csc_mode

Referenced by vaapi_update_csc().

## ◆ deinterlace

unsigned int vaapi_driver_s::deinterlace

## ◆ display

Display* vaapi_driver_s::display

## ◆ drawable

Drawable vaapi_driver_s::drawable

## ◆ guarded_render

unsigned int vaapi_driver_s::guarded_render

## ◆ has_overlay

int vaapi_driver_s::has_overlay

## ◆ have_user_csc_matrix

int vaapi_driver_s::have_user_csc_matrix

Referenced by vaapi_update_csc().

## ◆ last_sub_image_fmt

unsigned int vaapi_driver_s::last_sub_image_fmt

## ◆ overlay_bitmap

uint32_t* vaapi_driver_s::overlay_bitmap

## ◆ overlay_bitmap_dst

vaapi_rect_t vaapi_driver_s::overlay_bitmap_dst

## ◆ overlay_bitmap_height

uint32_t vaapi_driver_s::overlay_bitmap_height

## ◆ overlay_bitmap_size

uint32_t vaapi_driver_s::overlay_bitmap_size

## ◆ overlay_bitmap_src

vaapi_rect_t vaapi_driver_s::overlay_bitmap_src

## ◆ overlay_bitmap_width

uint32_t vaapi_driver_s::overlay_bitmap_width

## ◆ overlay_dirty_rect

vaapi_rect_t vaapi_driver_s::overlay_dirty_rect

## ◆ overlay_output_height

uint32_t vaapi_driver_s::overlay_output_height

## ◆ overlay_output_width

uint32_t vaapi_driver_s::overlay_output_width

## ◆ overlays

vo_overlay_t* vaapi_driver_s::overlays[XINE_VORAW_MAX_OVL]

## ◆ ovl_changed

int vaapi_driver_s::ovl_changed

## ◆ props

va_property_t vaapi_driver_s::props[VO_NUM_PROPERTIES]

Referenced by vaapi_update_csc().

## ◆ recent_frames

vo_frame_t* vaapi_driver_s::recent_frames[VO_NUM_RECENT_FRAMES]

## ◆ sc

vo_scale_t vaapi_driver_s::sc

## ◆ scaling_level

unsigned int vaapi_driver_s::scaling_level

## ◆ scaling_level_enum

unsigned int vaapi_driver_s::scaling_level_enum

## ◆ screen

int vaapi_driver_s::screen

## ◆ soft_image_is_bound

int vaapi_driver_s::soft_image_is_bound

## ◆ sw_height

int vaapi_driver_s::sw_height

## ◆ sw_width

int vaapi_driver_s::sw_width

## ◆ swap_uv_planes

unsigned int vaapi_driver_s::swap_uv_planes

## ◆ user_csc_matrix

float vaapi_driver_s::user_csc_matrix[12]

Referenced by vaapi_update_csc().

## ◆ va

vaapi_context_impl_t* vaapi_driver_s::va

## ◆ va_context

ff_vaapi_context_t* vaapi_driver_s::va_context

Referenced by vaapi_update_csc().

## ◆ va_num_subpic_formats

int vaapi_driver_s::va_num_subpic_formats

## ◆ va_soft_head

unsigned int vaapi_driver_s::va_soft_head

## ◆ va_soft_images

VAImage* vaapi_driver_s::va_soft_images

## ◆ va_soft_images_storage

VAImage vaapi_driver_s::va_soft_images_storage[3+1]

## ◆ va_soft_surface_ids

VASurfaceID* vaapi_driver_s::va_soft_surface_ids

## ◆ va_soft_surface_ids_storage

VASurfaceID vaapi_driver_s::va_soft_surface_ids_storage[3+1]

## ◆ va_subpic_formats

VAImageFormat* vaapi_driver_s::va_subpic_formats

## ◆ va_subpic_height

int vaapi_driver_s::va_subpic_height

## ◆ va_subpic_id

VASubpictureID vaapi_driver_s::va_subpic_id

## ◆ va_subpic_image

VAImage vaapi_driver_s::va_subpic_image

## ◆ va_subpic_width

int vaapi_driver_s::va_subpic_width

## ◆ vaapi_cm_flags

int vaapi_driver_s::vaapi_cm_flags

Referenced by vaapi_update_csc().

## ◆ vaapi_lock

pthread_mutex_t vaapi_driver_s::vaapi_lock

## ◆ vdr_osd_height

uint32_t vaapi_driver_s::vdr_osd_height

## ◆ vdr_osd_width

uint32_t vaapi_driver_s::vdr_osd_width

## ◆ vo_driver

vo_driver_t vaapi_driver_s::vo_driver

## ◆ window

Window vaapi_driver_s::window

## ◆ xine

xine_t* vaapi_driver_s::xine

Referenced by vaapi_update_csc().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_vaapi.c